﻿<?xml version="1.0" encoding="UTF-8"?>
<pages:PopupPage xmlns="http://xamarin.com/schemas/2014/forms"
                 xmlns:x="http://schemas.microsoft.com/winfx/2009/xaml"
                 xmlns:pages="clr-namespace:Rg.Plugins.Popup.Pages;assembly=Rg.Plugins.Popup"
                 xmlns:animations="clr-namespace:Rg.Plugins.Popup.Animations;assembly=Rg.Plugins.Popup"
                 xmlns:local="clr-namespace:EventQMobileApp;assembly=EventQMobileApp"
                 x:Class="EventQMobileApp.NewAttendeePopupView">
    <pages:PopupPage.Resources>
        <ResourceDictionary>
            <Style x:Key="Picker_NewAttendee"
                   TargetType="Picker">
                <Setter Property="FontSize" Value="{StaticResource DefaultFontSize}" />
                <Setter Property="Margin" Value="0,0,0,15" />
                <Setter Property="TitleColor" Value="Gray" />
                <Setter Property="BackgroundColor" Value="{StaticResource LightSilverColor}" />
                <Setter Property="HorizontalOptions" Value="FillAndExpand" />
            </Style>
            <Style x:Key="SaveButton" TargetType="Button">
                <Setter Property="BackgroundColor"
                        Value="{StaticResource ThemeColor}" />
                <Setter Property="TextColor" Value="White" />
            </Style>
        </ResourceDictionary>
    </pages:PopupPage.Resources>
    <pages:PopupPage.Animation>
        <animations:ScaleAnimation PositionIn="Center"
                                   PositionOut="Center"
                                   ScaleIn="1.2" ScaleOut="0.8"
                                   DurationIn="400" DurationOut="300"
                                   EasingIn="SinOut" EasingOut="SinIn"
                                   HasBackgroundAnimation="True" />
    </pages:PopupPage.Animation>
    <Frame x:Name="parentFrame" CornerRadius="10"
           HorizontalOptions="Center"
           VerticalOptions="Center"
           HasShadow="False">

        <Grid x:Name="GlMain"
              Padding="10,50"
              BackgroundColor="White">
            <Grid.RowDefinitions>
                <RowDefinition Height="20*" />
                <RowDefinition Height="60*" />
                <RowDefinition Height="20*" />
            </Grid.RowDefinitions>

            <Grid x:Name="GlHeader" Margin="50,10" >
                <Grid.RowDefinitions>
                    <RowDefinition Height="20*" />
                    <RowDefinition Height="20*" />
                    <RowDefinition Height="4*" />
                </Grid.RowDefinitions>

                <ImageButton Grid.Row="0"
                             Source="{x:Static local:Constant.CANCEL_IMAGE_SOURCE}"
                             VerticalOptions="CenterAndExpand"
                             HorizontalOptions="EndAndExpand"
                             Clicked="OnCancel_Clicked" />

                <Label Text="{x:Static local:Resources.AppText.NewAttendeeHeading}"
                       Grid.Row="1"
                       FontSize="Title" />

                <BoxView Grid.Row="2"
                         Color="{StaticResource ThemeColor}"
                         HorizontalOptions="FillAndExpand" />
            </Grid>
            <Grid x:Name="GlBody" Grid.Row="1"
                  Margin="50,10"
                  HorizontalOptions="FillAndExpand"
                  VerticalOptions="FillAndExpand">

                <Grid.ColumnDefinitions>
                    <ColumnDefinition Width="42.5*" />
                    <ColumnDefinition Width="5*" />
                    <ColumnDefinition Width="5*" />
                    <ColumnDefinition Width="42.5*" />
                    <ColumnDefinition Width="5*" />
                </Grid.ColumnDefinitions>
                <StackLayout Grid.Column="0" Orientation="Vertical">
                    <StackLayout Orientation="Horizontal">

                        <Label Text="{x:Static local:Resources.AppText.AttendeeType}"
                               FontSize="Medium" />
                        <Label Text="{x:Static local:Resources.AppText.MandatorySymbol}"
                               TextColor="Red" />
                    </StackLayout>
                    <Picker Title="{x:Static local:Resources.AppText.PleaseSelect}"
                            Style="{StaticResource Picker_NewAttendee}" />
                    <StackLayout Orientation="Horizontal">
                        <Entry Placeholder="{x:Static local:Resources.AppText.Title}"
                               Style="{StaticResource Entry_NewAttendee}" />
                        <Label Text="{x:Static local:Resources.AppText.MandatorySymbol}"
                               Grid.Column="1" TextColor="Red" />
                    </StackLayout>
                    <local:PopupEntryView PlaceHolderText="{x:Static local:Resources.AppText.FirstName}" IsMandatory="True" Grid.Column="1" />
                    <local:PopupEntryView PlaceHolderText="{x:Static local:Resources.AppText.Email}" IsMandatory="True" Grid.Column="1" />
                    <local:PopupEntryView PlaceHolderText="{x:Static local:Resources.AppText.DietaryReq}" IsMandatory="False" />
                    <local:PopupEntryView PlaceHolderText="{x:Static local:Resources.AppText.ContactName}" IsMandatory="False" />
                </StackLayout>

                <StackLayout Grid.Column="3" Orientation="Vertical">
                    <StackLayout Orientation="Horizontal">
                        <Label Text="{x:Static local:Resources.AppText.ContactGroup}" FontSize="Medium" />
                        <Label Text="{x:Static local:Resources.AppText.MandatorySymbol}" Grid.Column="4" TextColor="Red" />
                    </StackLayout>
                    <Picker Title="{x:Static local:Resources.AppText.PleaseSelect}" Style="{StaticResource Picker_NewAttendee}" />
                     <local:CheckBoxView LabelText="{x:Static local:Resources.AppText.Vip}" Margin="0,5,0,19" IsChecked="True"/>
                    <local:PopupEntryView PlaceHolderText="{x:Static local:Resources.AppText.LastName}" IsMandatory="True" Grid.Column="4" />
                    <local:PopupEntryView PlaceHolderText="{x:Static local:Resources.AppText.Organisation}" IsMandatory="False" />
                    <local:PopupEntryView PlaceHolderText="{x:Static local:Resources.AppText.JobTitle}" IsMandatory="False" />
                    <local:PopupEntryView PlaceHolderText="{x:Static local:Resources.AppText.ContactNumber}" IsMandatory="False" />
                </StackLayout>
            </Grid>
            <Grid x:Name="GlFooter" Grid.Row="2" Margin="50,10">
                <Grid.RowDefinitions>
                    <RowDefinition Height="0.5*" />
                    <RowDefinition Height="10*" />
                </Grid.RowDefinitions>
                <BoxView Grid.Row="0" Color="{StaticResource BoxviewColor}" />
                <Button Grid.Row="1" Text="{x:Static local:Resources.AppText.SavePopup}"
                        Style="{StaticResource SaveButton}" VerticalOptions="CenterAndExpand"
                        HorizontalOptions="EndAndExpand"
                        WidthRequest="120" />
            </Grid>
        </Grid>
    </Frame>
</pages:PopupPage>